Ptex: PtexIO::Header Struct Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PtexIO::Header Struct Reference

`#include <PtexIO.h>`

## Public Member Functions
int | pixelSize () const
bool | hasAlpha () const

## Public Attributes
uint32_t | magic
uint32_t | version
MeshType | meshtype:32
DataType | datatype:32
int32_t | alphachan
uint16_t | nchannels
uint16_t | nlevels
uint32_t | nfaces
uint32_t | extheadersize
uint32_t | faceinfosize
uint32_t | constdatasize
uint32_t | levelinfosize
uint32_t | minorversion
uint64_t | leveldatasize
uint32_t | metadatazipsize
uint32_t | metadatamemsize

## Detailed Description

Definition at line 42 of file PtexIO.h.

## Member Function Documentation

bool PtexIO::Header::hasAlpha | ( |  | ) | const
| inline

Definition at line 60 of file PtexIO.h.

References nchannels.

Referenced by PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceData(), PtexMainWriter::storeConstValue(), PtexMainWriter::writeFace(), and PtexIncrWriter::writeFace().

int PtexIO::Header::pixelSize | ( |  | ) | const
| inline

Definition at line 59 of file PtexIO.h.

References Ptex::DataSize(), datatype, and nchannels.

Referenced by PtexReader::open(), and PtexWriterBase::PtexWriterBase().

## Member Data Documentation

int32_t PtexIO::Header::alphachan

Definition at line 47 of file PtexIO.h.

Referenced by PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceData(), PtexMainWriter::storeConstValue(), PtexMainWriter::writeFace(), and PtexIncrWriter::writeFace().

uint32_t PtexIO::Header::constdatasize

Definition at line 53 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::open(), and PtexReader::readConstData().

DataType PtexIO::Header::datatype

Definition at line 46 of file PtexIO.h.

Referenced by PtexReader::getPixel(), pixelSize(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceData(), PtexMainWriter::storeConstValue(), PtexMainWriter::writeFace(), PtexIncrWriter::writeFace(), PtexWriterBase::writeFaceBlock(), and PtexWriterBase::writeReduction().

uint32_t PtexIO::Header::extheadersize

Definition at line 51 of file PtexIO.h.

Referenced by PtexIncrWriter::finish(), PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), and PtexWriterBase::PtexWriterBase().

uint32_t PtexIO::Header::faceinfosize

Definition at line 52 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexReader::open(), and PtexReader::readFaceInfo().

uint64_t PtexIO::Header::leveldatasize

Definition at line 56 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), and PtexReader::open().

uint32_t PtexIO::Header::levelinfosize

Definition at line 54 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), and PtexReader::open().

uint32_t PtexIO::Header::magic

Definition at line 43 of file PtexIO.h.

Referenced by PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), and PtexWriterBase::PtexWriterBase().

MeshType PtexIO::Header::meshtype

Definition at line 45 of file PtexIO.h.

Referenced by PtexMainWriter::flagConstantNeighorhoods(), PtexReader::getData(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::TiledFaceBase::reduce(), and PtexWriterBase::storeFaceInfo().

uint32_t PtexIO::Header::metadatamemsize

Definition at line 58 of file PtexIO.h.

Referenced by PtexReader::readMetaData(), and PtexMainWriter::writeMetaData().

uint32_t PtexIO::Header::metadatazipsize

Definition at line 57 of file PtexIO.h.

Referenced by PtexReader::open(), PtexReader::readMetaData(), and PtexMainWriter::writeMetaData().

uint32_t PtexIO::Header::minorversion

Definition at line 55 of file PtexIO.h.

Referenced by PtexWriterBase::PtexWriterBase().

uint16_t PtexIO::Header::nchannels

Definition at line 48 of file PtexIO.h.

Referenced by PtexReader::getPixel(), hasAlpha(), pixelSize(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceData(), PtexMainWriter::storeConstValue(), PtexMainWriter::writeFace(), PtexIncrWriter::writeFace(), PtexWriterBase::writeFaceBlock(), and PtexWriterBase::writeReduction().

uint32_t PtexIO::Header::nfaces

Definition at line 50 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexMainWriter::generateReductions(), PtexReader::getData(), PtexIncrWriter::PtexIncrWriter(), PtexWriterBase::PtexWriterBase(), PtexReader::readConstData(), PtexReader::readEditFaceData(), PtexReader::readFaceInfo(), and PtexWriterBase::storeFaceInfo().

uint16_t PtexIO::Header::nlevels

Definition at line 49 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexWriterBase::PtexWriterBase(), and PtexReader::readLevelInfo().

uint32_t PtexIO::Header::version

Definition at line 44 of file PtexIO.h.

Referenced by PtexReader::open(), and PtexWriterBase::PtexWriterBase().

The documentation for this struct was generated from the following file:

- PtexIO.h